# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d (const gp_Circ2d &aValue)
Standard_EXPORT void | SetValue (const gp_Circ2d &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d (const Storage_stCONSTclCOM &a)
const gp_Circ2d & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfCirc2dmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Circ2d | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d | ( | const gp_Circ2d & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Circ2d& PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfCirc2dmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::SetValue | ( | const gp_Circ2d & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::Value | ( |  | ) | const

## Field Documentation

gp_Circ2d PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d.hxx